// Copyright 1994, 1995 by Jon Dart.  All Rights Reserved.
#ifndef __SEARCHOP_H__
#define __SEARCHOO_H__

#include "types.h"
#include "timectrl.h"

struct Search_Limit_Options
{
   // holds state of the dialog
   Search_Limit_Options();
   Search_Limit_Options( const Time_Control &tc, const Control c );

   BOOL parse( Time_Control &tc, const Control c );

   int operator == (const Search_Limit_Options &) const;
   int operator != (const Search_Limit_Options &) const;
   
   int search_type;
   CString move_or_ply;
   CString time_limit;
};

#endif
